<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_20"
        android:background="@drawable/shape_white_cor16"
        android:paddingBottom="@dimen/dp_20"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@mipmap/ic_tip_dialog_top_bg"
            app:layout_constraintDimensionRatio="h,816:360"
            app:layout_constraintTop_toTopOf="parent" />

        <com.cheng.bole.widget.StrokeTextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:text="温馨提示"
            android:textColor="@color/color_212226"
            android:textSize="@dimen/sp_22"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_10"
            android:src="@mipmap/ic_close"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_20"
            android:gravity="center"
            android:text="系统检测到您已有账号"
            android:textColor="@color/color_727686"
            android:textSize="@dimen/sp_14"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title"
            app:layout_goneMarginTop="0dp" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/mRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_14"
            android:layout_marginEnd="@dimen/dp_20"
            android:maxHeight="@dimen/dp_300"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintTop_toBottomOf="@id/tv_tip"
            tools:itemCount="2"
            tools:listitem="@layout/listitem_account_login_tip" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/tv_ok"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_marginTop="@dimen/dp_30"
            android:background="?android:selectableItemBackground"
            android:gravity="center"
            android:text="我知道了"
            android:textColor="@color/color_90ffffff"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_50"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintDimensionRatio="w,116:40"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/mRecyclerView" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_4"
        android:src="@mipmap/ic_notify_icon"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>